org.codehaus.plexus.util.interpolation

## Class PropertiesBasedValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.AbstractValueSource
  - - org.codehaus.plexus.interpolation.PropertiesBasedValueSource
    - - org.codehaus.plexus.util.interpolation.PropertiesBasedValueSource

- All Implemented Interfaces:
    org.codehaus.plexus.interpolation.ValueSource

  Deprecated.
  Use plexus-interpolation APIs instead.

      public class PropertiesBasedValueSource
      extends org.codehaus.plexus.interpolation.PropertiesBasedValueSource

  Version:
    $Id: PropertiesBasedValueSource.java 8010 2009-01-07 12:59:50Z vsiveton $
  Author:
    jdcasey

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertiesBasedValueSource(java.util.Properties properties)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.codehaus.plexus.interpolation.PropertiesBasedValueSource

      `getValue`

    - ### Methods inherited from class org.codehaus.plexus.interpolation.AbstractValueSource

      `addFeedback, addFeedback, clearFeedback, getFeedback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertiesBasedValueSource

          public PropertiesBasedValueSource(java.util.Properties properties)

      Deprecated.